org.apache.maven.scm.provider.clearcase.command.remove

## Class ClearCaseRemoveConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.clearcase.command.remove.ClearCaseRemoveConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class ClearCaseRemoveConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Version:
  $Id: ClearCaseRemoveConsumer.java 770340 2009-04-30 17:34:27Z olamy $
Author:
  Wim Deblauwe

### Constructor Summary

Constructors
Constructor and Description
`ClearCaseRemoveConsumer(ScmLogger logger)`

### Method Summary

Methods
`void` `consumeLine(String line)`
`List` `getRemovedFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseRemoveConsumer

    public ClearCaseRemoveConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getRemovedFiles

    public List getRemovedFiles()